Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::MultiTermQueryWrapperFilter Class Reference

A wrapper for MultiTermQuery, that exposes its functionality as a Filter. More...

`#include <MultiTermQueryWrapperFilter.h>`

Inheritance diagram for Lucene::MultiTermQueryWrapperFilter:

## Public Member Functions

virtual | ~MultiTermQueryWrapperFilter ()
virtual String | getClassName ()
boost::shared_ptr< MultiTermQueryWrapperFilter > | shared_from_this ()
virtual String | toString ()
| Returns a string representation of the object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
int32_t | getTotalNumberOfTerms ()
| Return the number of unique terms visited during execution of the filter. If there are many of them, you may consider using another filter type or optimize your total term count in index. More...
void | clearTotalNumberOfTerms ()
| Resets the counting of unique terms. Do this before executing the filter. More...
virtual DocIdSetPtr | getDocIdSet (const IndexReaderPtr &reader)
| Returns a DocIdSet with documents that should be permitted in search results. More...
Public Member Functions inherited from Lucene::Filter
virtual | ~Filter ()
boost::shared_ptr< Filter > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::Filter
static String | _getClassName ()

## Protected Attributes

MultiTermQueryPtr | query
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

A wrapper for MultiTermQuery, that exposes its functionality as a Filter.

MultiTermQueryWrapperFilter is not designed to be used by itself. Normally you subclass it to provide a Filter counterpart for a MultiTermQuery subclass.

For example, TermRangeFilter and PrefixFilter extend MultiTermQueryWrapperFilter. This class also provides the functionality behind MultiTermQuery#CONSTANT_SCORE_FILTER_REWRITE; this is why it is not abstract.

## Constructor & Destructor Documentation

## ◆ ~MultiTermQueryWrapperFilter()

virtual Lucene::MultiTermQueryWrapperFilter::~MultiTermQueryWrapperFilter | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::MultiTermQueryWrapperFilter::_getClassName | ( |  | ) |

inline static

## ◆ clearTotalNumberOfTerms()

void Lucene::MultiTermQueryWrapperFilter::clearTotalNumberOfTerms | ( |  | ) |

Resets the counting of unique terms. Do this before executing the filter.

See also
  getTotalNumberOfTerms

## ◆ equals()

virtual bool Lucene::MultiTermQueryWrapperFilter::equals | ( | const LuceneObjectPtr & | other | ) |

virtual

Return whether two objects are equal.

Reimplemented from Lucene::LuceneObject.

## ◆ getClassName()

virtual String Lucene::MultiTermQueryWrapperFilter::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::Filter.

Reimplemented in Lucene::TermRangeFilter, Lucene::PrefixFilter, and Lucene::NumericRangeFilter.

## ◆ getDocIdSet()

virtual DocIdSetPtr Lucene::MultiTermQueryWrapperFilter::getDocIdSet | ( | const IndexReaderPtr & | reader | ) |

virtual

Returns a DocIdSet with documents that should be permitted in search results.

Implements Lucene::Filter.

## ◆ getTotalNumberOfTerms()

int32_t Lucene::MultiTermQueryWrapperFilter::getTotalNumberOfTerms | ( |  | ) |

Return the number of unique terms visited during execution of the filter. If there are many of them, you may consider using another filter type or optimize your total term count in index.

This method is not thread safe, be sure to only call it when no filter is running! If you re-use the same filter instance for another search, be sure to first reset the term counter with {}. #clearTotalNumberOfTerms

## ◆ hashCode()

virtual int32_t Lucene::MultiTermQueryWrapperFilter::hashCode | ( |  | ) |

virtual

Return hash code for this object.

Reimplemented from Lucene::LuceneObject.

## ◆ shared_from_this()

boost::shared_ptr< MultiTermQueryWrapperFilter > Lucene::MultiTermQueryWrapperFilter::shared_from_this | ( |  | ) |

inline

## ◆ toString()

virtual String Lucene::MultiTermQueryWrapperFilter::toString | ( |  | ) |

virtual

Returns a string representation of the object.

Reimplemented from Lucene::LuceneObject.

Reimplemented in Lucene::PrefixFilter.

## Field Documentation

## ◆ query

MultiTermQueryPtr Lucene::MultiTermQueryWrapperFilter::query

protected

The documentation for this class was generated from the following file:

- MultiTermQueryWrapperFilter.h

clucene.sourceforge.net